# Local AI and Automation Docker Suite

## Docker Compose Contains

- Ollama (LLM Host)
- Open WebUI (Chat Interface)
- MCPO Server (Model Context Protocol relay server)
- N8N (Automation)
- PostgresDB (for N8N)
- Jupyter Notebook

## Install Instructions

1. Copy ```sample.env``` to ```.env```
2. Edit ```.env``` file to contain your ultimate secret passwords
3. Copy ```config/mcpo/sample.config.json``` to ```config/mcpo/config.json```
4. Note -- there is no need to edit the config.json file right away
5. From the root directory (of this repo) run ```docker compose up -d```
6. If you experience any errors, run it again until it stands completely up